KOBJECT_CREATE_AND_A(9)

NAME
kobject_create_and_add - create a struct kobject dynamically and register it with sysfs

SYNOPSIS

struct kobject * kobject_create_and_add(const char * name, struct kobject * parent);

ARGUMENTS

name
    the name for the kobject

parent
    the parent kobject of this kobject, if any.

DESCRIPTION

This function creates a kobject structure dynamically and registers it with sysfs. When you are finished with this structure, call kobject_put and the structure will be dynamically freed when it is no longer being used.

If the kobject was not able to be created, NULL will be returned.

COPYRIGHT